{ ... }:

{
  imports = [
    ./hardware-configuration.nix
    ./networking.nix

    ../../../modules
    ../../../modules/services/acme.nix
    ../../../modules/services/nginx.nix
  ];

  networking.hostName = "reverseproxy";
  boot.loader.grub.devices = [ "/dev/sda" ];

  system.stateVersion = "25.05";

  users.users."nginx".home = "/var/lib/nginx";

  services.nginx.virtualHosts = {
    "install-party.crans.org" = {
      enableACME = true;
      forceSSL = true;
      serverAliases = [
        "i-p.crans.org"
        "adopteunmanchot.crans.org"
        "adopteunpingouin.crans.org"
        "i-p.crans.fr"
        "install-party.crans.fr"
        "adopteunmanchot.crans.fr"
        "adopteunpingouin.crans.fr"
        "i-p.crans.eu"
        "install-party.crans.eu"
        "adopteunmanchot.crans.eu"
        "adopteunpingouin.crans.eu"
      ];
      root = "/var/www/install-party.crans.org";
    };
  };
}
